image: gitlab-registry.cern.ch/atlas-htt/htt_container:htt_build

variables:
  GIT_STRATEGY: none

build:
  before_script:
    - git config --global user.email "httswdev@cern.ch"
    - git config --global user.name "Nightly Bot"
    - source /opt/rh/rh-git218/enable
    - git clone --recurse-submodules https://gitlab-ci-token:${CI_JOB_TOKEN}@gitlab.cern.ch/atlas-htt/htt-online-sw/htt-nightly.git
  stage: build
  script:
    - cd htt-nightly
    - echo ${PRIVATE_TOKEN}
    - git remote set-url origin https://gitlab-ci-token:${PRIVATE_TOKEN}@gitlab.cern.ch/atlas-htt/htt-online-sw/htt-nightly.git
    - git submodule update --recursive --remote --merge
    - git add . && git commit -m 'Update submodules to latest revisions'
    - git push origin master
  only:
    - master

